#!/bin/sh

# chkconfig:   345 99 99
# description: Cognition Daemon

. /etc/rc.d/init.d/functions

COGDIR=/opt/cognition/

case "$1" in
start)
echo -n "Starting service: "
perl -I$COGDIR $COGDIR/cognitiond.pl
echo
;;

clean)
echo -n "Cleaning cognitiond cache: "
rm -fr /tmp/cognition*cache
echo
;;

stop)
echo -n "Shutting down service: "
kill `cat /tmp/cognition.pid`
rm -f /tmp/cognition.pid
echo
;;

status)
cat /tmp/cognition.pid
;;

restart)
echo -n "Shutting down service: "
kill `cat /tmp/cognition.pid`
echo
echo -n "Starting service: "
perl -I$COGDIR $COGDIR/cognitiond.pl
echo
;;

clean)
echo -n "Shutting down service: "
kill `cat /tmp/cognition.pid`
echo
echo -n "Cleaning cognitiond cache: "
rm -fr /tmp/cognition*cache
echo  
echo -n "Starting service: "
perl -I$COGDIR $COGDIR/cognitiond.pl
echo
;;

*)
echo "*** Usage: service_name 'start|stop|status|restart|clean'"
exit 1
esac
exit 0

